<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
Pantalla para la generación de reportes prediales
					
@author javier.aponte
@modified by leidy.gonzalez

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:misc="http://java.sun.com/jsf/composite/misc"
	xmlns:predio="http://java.sun.com/jsf/composite/predio"
	xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
	template="/templates/generalCU.xhtml">

	<ui:define name="title">
        .::Sistema Nacional Catastral::. .::Generación de reportes prediales::.
    </ui:define>

	<ui:define name="content">

		<div id="divForm">
		
		<!-- <p:tabView dynamic="true" cache="false" id="solicitudProductosPredialesTabView"> -->

			<h:form id="consultaPredioForm" prependId="true">
				<p:messages id="consultaPredioFormCCMsgs" showDetail="false"
					globalOnly="false" />
				<p:panel header="Reportes prediales" toggleable="false"
					id="criteriosConsultaPanel">
					
					<p:spacer height="10" width="0" />

					<h:panelGrid columns="12">

						<h:outputLabel value="Tipo reporte: " for="categoriaReporte"
							styleClass="outputLabelStyle labelRequired" />

						<h:selectOneMenu id="categoriaReporte"
							label="Categoria de reporte"
							value="#{consultaReportesPrediales.datosConsultaPredio.codigoTipoReporte}">
							<f:selectItem itemLabel="Seleccionar..." />
							<f:selectItems value="#{general.categoriaReporte}" />
							<p:ajax listener="#{consultaReportesPrediales.buscarReportePorCategoria}" 
                                    update="tipoReporteCategoria,:consultaPredioForm:idConsulta,panelBusquedaAvanzada" process="@this"/>
						</h:selectOneMenu>	
						
						<p:spacer height="0" width="70" />			

						<h:outputLabel value="Tipo informe: " for="tipoReporteCategoria"
							styleClass="outputLabelStyle labelRequired" />

						<h:selectOneMenu id="tipoReporteCategoria"
							label="Tipo de reporte"
							value="#{consultaReportesPrediales.datosConsultaPredio.codigoTipoInforme}">
							<f:selectItems value="#{consultaReportesPrediales.tipoReportePorCategoria}" />
							<p:ajax listener="#{consultaReportesPrediales.buscarTipoReportePorCategoria}"
                                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                    update = "consultaPredioForm,panelBusquedaAvanzada" process="@this"/>
						</h:selectOneMenu>
						
						<p:spacer height="0" width="70" />
						
						<h:panelGrid columns="2">
								<h:outputLabel value="Formato: " styleClass="outputLabelStyle labelRequired" />
							</h:panelGrid>

							<h:selectOneMenu id="formatoProducto"
								requiredMessage="Debe seleccionar el formato de producto"
								value="#{consultaReportesPrediales.datosConsultaPredio.formato}"
								label="Formato">
								<f:selectItem itemLabel="Seleccionar..." />
								<f:selectItems value="#{general.repFormatosDescarga}"/>
								<p:ajax listener="#{consultaReportesPrediales.cambiarValores}" update=":consultaPredioForm:idConsulta" process="@this"/>
							</h:selectOneMenu>

					</h:panelGrid>

					<p:spacer height="10" width="0" />

					<p:panel header="Consulta básica">
					
						<h:panelGrid columns="6" id="panelTerritorial">
						
							<h:panelGrid id="territorialSOM" columns="5">
								<h:outputLabel value="Territorial: "
									styleClass="outputLabelStyle" />
								<p:spacer height="0" width="90" />	
								<h:selectOneMenu id="territorial" label="Territorial"
									value="#{consultaReportesPrediales.territorialSeleccionadaCodigo}"
									disabled="#{!consultaReportesPrediales.banderaSeleccionTerritorial}">
									<f:selectItems value="#{consultaReportesPrediales.listaTerritoriales}" />
									<p:ajax listener="#{consultaReportesPrediales.cambiarValores}" update=":consultaPredioForm:idConsulta" process="@this"/>
								</h:selectOneMenu>
								<p:message for="territorial" display="icon"></p:message>
							</h:panelGrid>
							
							<p:spacer height="0" width="140" />

							<h:panelGrid id="unidadSOM" columns="6">
								<h:outputLabel value="Unidad operativa: "
									styleClass="outputLabelStyle" />
								<p:spacer height="0" width="90" />		
								<h:selectOneMenu id="unidadOperativa" label="Unidad operativa"
									value="#{consultaReportesPrediales.uOCseleccionada}"
									disabled="#{!consultaReportesPrediales.banderaSeleccionUOC}">
									<f:selectItem itemLabel="Seleccionar..." />
									<f:selectItems value="#{consultaReportesPrediales.UOCItemList}"/>
									<p:ajax listener="#{consultaReportesPrediales.actualizarDeptos}" update=":consultaPredioForm" process="@this"/>
								</h:selectOneMenu>
							</h:panelGrid>
						</h:panelGrid>
						
						<p:spacer height="20" width="0" />


						<h:panelGrid columns="8" id="deptYMun">
						
						<h:panelGrid columns="1" width="100%">
							<misc:seleccionDepartamentoYMunicipioCC valuesAreRequired="false" additionalClassForDept="true"
								customDeptoAction="true" customMunAction="true"
								onDeptoSelected="#{consultaReportesPrediales.onDeptoSelectedListener}"
								onMunSelected="#{consultaReportesPrediales.onMunSelectedListener}"
								aditionalUpdateDepto=":consultaPredioForm:fs2,:consultaPredioForm:b01,
                                :consultaPredioForm:idConsulta,:consultaPredioForm:panelBusquedaAvanzada"
								aditionalUpdateMun=":consultaPredioForm:fs2,:consultaPredioForm:b01,
                                :consultaPredioForm:idConsulta,:consultaPredioForm:panelBusquedaAvanzada"
								vertical="false" />
						</h:panelGrid>
							
						</h:panelGrid>

						<h:outputLabel styleClass="outputLabelStyle" id = "numeroPredialReportesPrediales"/>

							<p:fieldset id="fs2" style="border:0px">
                            
                            <h:panelGrid id="b01" columns="1" style="border:0px">

									<ui:include src="/conservacion/numeroPredialConFormatoBRangos.xhtml">
										<ui:param name="objetoContenedorNumeroPredialParam"
											value="#{consultaReportesPrediales.numeroPredialPartesInicial}" />
										<ui:param name="objetoContenedorNumeroPredialFParam"
											value="#{consultaReportesPrediales.numeroPredialPartesFinal}" />
										<ui:param name="idParam" value="busquedaPredioFinal" />
										<ui:param name="formPIdParam" value="consultaPredioForm" />
                                        <ui:param name="deptoDisableParam" value="true" />
                                        <ui:param name="munDisableParam" value="true" />
									</ui:include>

							</h:panelGrid>    

						</p:fieldset>
						
						<p:spacer width="0" height="20" />
						
						<h:panelGrid id="fecha" columns="12" style="border:0px">
						<h:outputLabel value="Fecha corte: " styleClass="outputLabelStyle" id = "fechaCorte"/>
						<h:outputLabel value="* " style="color:red;" />
						<h:selectOneRadio id="options" value="#{consultaReportesPrediales.datosConsultaPredio.tipoDeFechaCorte}">  
            				<f:selectItem itemLabel="Fecha actual" itemValue="1" />
            				<f:selectItem itemLabel="31 de Diciembre" itemValue="2" itemDisabled="#{consultaReportesPrediales.habilitaFechaCorte31}"/>  
            				<f:selectItem itemLabel="1 de Enero" itemValue="3" />
           					 <p:ajax update="añoReporte,:consultaPredioForm:idConsulta" process="@this"
           					 	listener="#{consultaReportesPrediales.verificarAnoReporte}"/>  
        				</h:selectOneRadio>
        				
        				<p:spacer width="30"/>
        				
        				<h:outputLabel value="Año: " styleClass="outputLabelStyle labelRequired" />

						<h:selectOneMenu id="añoReporte" 
                             value="#{consultaReportesPrediales.datosConsultaPredio.anoReporte}" label="Año"
                             disabled="#{consultaReportesPrediales.banderaAnioActual}">
               				<f:selectItems value="#{consultaReportesPrediales.anoReporteItemList}"/>
               				<p:ajax listener="#{consultaReportesPrediales.consultarTipoFechaCorte}" process="@this"
               						update="fecha,fechaCorte,:consultaPredioForm:idConsulta"/>
            			</h:selectOneMenu>

						</h:panelGrid>	

						<p:spacer width="0" height="30" />

						<h:outputText value="Propietario" styleClass="legendTitle" />
						<p:separator />

						<h:panelGrid columns="8" id= "identificacionPersonaPanel">

							<h:panelGrid columns="2">
								<h:outputLabel value="Tipo persona:"
									styleClass="outputLabelStyle" />
							</h:panelGrid>

							<h:selectOneMenu id="tipoPersona" label="Tipo persona"
								value="#{consultaReportesPrediales.datosConsultaPredio.tipoPersona}">
								<f:selectItem itemLabel="Seleccionar..." itemValue="#{null}" />
								<f:selectItems value="#{general.personaTipoPersonaV}" />
								<p:ajax listener="#{consultaReportesPrediales.consultarTipoIdentificacion}" 
										update="tipoIdentificacionP,tipoIdentificacion,:consultaPredioForm:idConsulta" process="@this"/>
							</h:selectOneMenu>
							
							<p:spacer width="20" height="0" />
							
							<h:panelGrid id="tipoIdentificacionP" columns="2">
							<h:panelGrid columns="2">
								<h:outputLabel value="Tipo identificación"
									styleClass="outputLabelStyle" id = "tipoIdentificacionL"
									rendered="#{consultaReportesPrediales.habilitaTipoIdentificacion}"/>
							</h:panelGrid>

							<h:selectOneMenu id="tipoIdentificacion"
								label="Tipo identificacion"
								value="#{consultaReportesPrediales.datosConsultaPredio.tipoIdentificacionPropietario}"
								update="digitoVerificacion" rendered="#{consultaReportesPrediales.habilitaTipoIdentificacion}">
								<f:selectItem itemLabel="Seleccione..." itemValue="#{null}" />
								<f:selectItems value="#{consultaReportesPrediales.tipoIdentificacion}"/>
							</h:selectOneMenu>
							</h:panelGrid>
							
							<p:spacer width="20" height="0" />


							<h:outputLabel value="Número identificación: "
								styleClass="outputLabelStyle" />
							<h:inputText
								value="#{consultaReportesPrediales.datosConsultaPredio.identificacionPropietario}"
								size="50" maxlength="50" id="identificacionPropietario">
								<f:validateLength maximum="20" />
							</h:inputText>

							<h:panelGrid columns="2"
								rendered="#{consultaReportesPrediales.datosConsultaPredio.esNit}">
								<h:outputLabel value="DV: " for="digitoVerificacion"
									styleClass="outputLabelStyle" />
							</h:panelGrid>
							<h:inputText id="digitoVerificacion"
								value="#{consultaReportesPrediales.datosConsultaPredio.digitoVerificacion}"
								size="2"
								rendered="#{consultaReportesPrediales.datosConsultaPredio.esNit}">
								<f:validateLength maximum="2" />
							</h:inputText>

						</h:panelGrid>
						
						<p:spacer width="0" height="20" />

						<h:panelGrid columns="5" id="idConsulta">
						
						<h:panelGroup>
							<h:outputLabel value="Código reporte: " styleClass="outputLabelStyle" />
							<h:inputText id="idReporteConsultar" disabled= "true"
								value="#{consultaReportesPrediales.constantePrediales}"/>
							<h:outputText value=" - " style="font-size:20px;font-weight:bold"/>	
							<h:inputText id="idReporteConsultar1"
								value="#{consultaReportesPrediales.idReporteConsultar}"
								size="11" maxlength="11">
								<f:validateLength maximum="11" />
							</h:inputText>	
							<h:outputText value=" - " style="font-size:20px;font-weight:bold"/>
							<h:inputText id="idReporteConsultar2"
								value="#{consultaReportesPrediales.idReporteConsultarAño}"
								size="4" maxlength="4">	
							<f:validateLength maximum="4" />
							</h:inputText>	
						</h:panelGroup>
						
						<p:spacer width="50" height="0" />
						
						</h:panelGrid>
                                                
                                                <p:outputPanel layout="block" id="botonesRep" style="text-align:right">
                                                    <p:commandButton value="Buscar" icon="ui-icon-search"
                                                                     action="#{consultaReportesPrediales.consultarReporte}"
                                                                     onstart="statusDialog2.show();"
                                                                     oncomplete="statusDialog2.hide();" 
                                                                     update=":consultaPredioForm:reportesGeneradosTable,botonesRep,consultaPredioFormCCMsgs,botonesResultadoConsulta,:consultaPredioForm:exportarReportesBtn">
                                                    </p:commandButton>

                                                    <p:commandButton value="Generar Reporte" icon="ui-icon-check"
                                                                     rendered="#{consultaReportesPrediales.banderaGenerarReporte}"
                                                                     action="#{consultaReportesPrediales.verificaReporteSeGenero}"
                                                                     onstart="statusDialog2.show();"
                                                                     oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status,args, confirmacionGeneracionWV, true)"
                                                                     update=":consultaPredioForm, reportesGeneradosTable,consultaPredioFormCCMsgs"
                                                                     process="@form">
                                                    </p:commandButton>

                                                </p:outputPanel>

					</p:panel>

				</p:panel>
                
                <p:spacer height="5" />
                
                <p:panel id="panelBusquedaAvanzada" 
				header="Búsqueda avanzada" toggleable="true" collapsed="true" rendered="#{consultaReportesPrediales.banVerFiltrosAvanzados}">
				
					<p:tabView dynamic="true" id="tabView1" cache="true">
					
					<p:tab title="Matricula"
						id="tabMatricula"
						rendered="#{consultaReportesPrediales.tabs[0]}">
                           
					<h:panelGrid columns="2">
					
					<h:outputLabel value="Direccion: "
							styleClass="outputLabelStyle"/>
					
					<h:inputText id ="direccion"
							value="#{consultaReportesPrediales.datosConsultaPredio.direccion}"/>
					</h:panelGrid>	
					
					<p:spacer width="0" height="20" />
					
					<h:outputText value="Matricula inmobiliaria" styleClass="legendTitle"/>
					<p:separator />
					
					<h:panelGrid columns="8">
					<h:outputLabel value="Circulo registral: "
							styleClass="outputLabelStyle" rendered="#{consultaReportesPrediales.circuloRegistralMatricula}"/>
						<h:panelGrid columns="2">
							<h:selectOneMenu id="circuloRegistralSOM" label="Circulo Registral"
								value="#{consultaReportesPrediales.datosConsultaPredio.circuloRegistral}"
								rendered="#{consultaReportesPrediales.circuloRegistralMatricula}">
								<f:selectItems value="#{consultaReportesPrediales.tipoCirculoRegistral}" />
								<p:ajax listener="#{consultaReportesPrediales.buscarCirculoRegistral}"/>
							</h:selectOneMenu>
						</h:panelGrid>
						
						<p:spacer width="30" height="0" />
						
						<h:outputLabel value="Matricula inicial: "
							styleClass="outputLabelStyle" rendered="#{consultaReportesPrediales.circuloRegistralMatricula}"/>
						<h:inputText
							value="#{consultaReportesPrediales.datosConsultaPredio.numeroRegistro}"
							size="15" maxlength="15" id="númeroMatriculaInmobiliaria" rendered="#{consultaReportesPrediales.circuloRegistralMatricula}">
						<f:validateLength maximum="20"/>
						</h:inputText>

						<p:spacer width="30" height="0" />

						<h:outputLabel value="Matricula final: "
							styleClass="outputLabelStyle" rendered="#{consultaReportesPrediales.circuloRegistralMatricula}"/>
						<h:inputText
							value="#{consultaReportesPrediales.datosConsultaPredio.numeroRegistroFinal}"
							size="15" maxlength="15" id="númeroMatriculaInmobiliariaFinal" rendered="#{consultaReportesPrediales.circuloRegistralMatricula}">
						<f:validateLength maximum="20"/>
						</h:inputText>
						
					</h:panelGrid>
					</p:tab>
					
					
					<p:spacer width="0" height="40" />
					
					<p:tab title="Rangos de área"
						id="tabRangosArea"
						rendered="#{consultaReportesPrediales.tabs[1]}">
						
					<h:outputText value="Rangos áreas" styleClass="legendTitle"/>
					<p:separator />
					
					<h:panelGrid columns="2">

						<p:panel>
							<h:outputLabel value="Área total terreno (m2): "
								styleClass="outputLabelStyle" />

							<h:panelGrid columns="10" cellpadding="25" >

								<h:panelGroup>
									<h:outputLabel value="Mínima: " styleClass="outputLabelStyle" />
									<h:inputText id="consultaPredioAreaTerrenoMin"
												 onkeydown="validarSiNumero(this, this.value);"
												 onkeyup="validarSiNumero(this, this.value);"
										value="#{consultaReportesPrediales.datosConsultaPredio.areaTerrenoMin}"
                                                                                disabled="#{!consultaReportesPrediales.habilitaCampos}">
									</h:inputText>
								</h:panelGroup>

								<h:panelGroup>
									<h:outputLabel value="Máxima: " styleClass="outputLabelStyle" />
									<h:inputText id="consultaPredioAreaTerrenoMax"
												 onkeydown="validarSiNumero(this, this.value);"
												 onkeyup="validarSiNumero(this, this.value);"
										value="#{consultaReportesPrediales.datosConsultaPredio.areaTerrenoMax}"
                                                                                disabled="#{!consultaReportesPrediales.habilitaCampos}">
									</h:inputText>
								</h:panelGroup>
							</h:panelGrid>
						</p:panel>

						<p:panel>
							<h:outputLabel value="Área total construcción (m2):"
								styleClass="outputLabelStyle" />

							<h:panelGrid columns="12" cellpadding="25">
								<h:panelGroup>
									<h:outputLabel value="Mínima: " styleClass="outputLabelStyle" />
									<h:inputText id="consultaPredioAreaConstruidaMin"
												 onkeydown="validarSiNumero(this, this.value);"
												 onkeyup="validarSiNumero(this, this.value);"
										value="#{consultaReportesPrediales.datosConsultaPredio.areaConstruidaMin}">
									</h:inputText>
								</h:panelGroup>

								<h:panelGroup>
									<h:outputLabel value="Máxima: " styleClass="outputLabelStyle" />
								<h:inputText id="consultaPredioAreaConstruidaMax"
											 onkeydown="validarSiNumero(this, this.value);"
											 onkeyup="validarSiNumero(this, this.value);"
									value="#{consultaReportesPrediales.datosConsultaPredio.areaConstruidaMax}">
									</h:inputText>
								</h:panelGroup>
							</h:panelGrid>
						</p:panel>
					
					</h:panelGrid>
					</p:tab>
					
					
					<p:spacer width="0" height="40" />
					
					<p:tab title="Valor avalúo ($)"
						id="tabValorAvaluo"
						rendered="#{consultaReportesPrediales.tabs[2]}">
					
					<h:outputText value="Valor avalúo" styleClass="legendTitle" disabled="#{consultaReportesPrediales.tabs[2]}"/>
					<p:separator />
					
					<h:panelGrid columns="6" disabled="#{consultaReportesPrediales.tabs[2]}">
					
					<h:panelGrid columns="4">
					
					<h:outputLabel value="Autoestimación" styleClass="outputLabelStyle" />
					<p:spacer width="20" height="0" />
					<h:selectOneMenu id="autoestimacion"
						label="Autoestimación"
						value="#{consultaReportesPrediales.autoestimacion}"
                                                disabled="true">
						<f:selectItems value="#{general.siNo}" />
					</h:selectOneMenu>
					
					</h:panelGrid>
					
					<p:spacer width="0" height="80" /> 
					
					
					<h:panelGrid columns="12" cellpadding="25">
						<h:outputLabel value="Rango avalúo ($): " styleClass="outputLabelStyle" />
						
						<h:panelGroup>
							<h:outputLabel value="Mínima: " styleClass="outputLabelStyle" />
						<h:inputText 
                            onkeydown="validarSiNumero(this, this.value);"
						    onkeyup="validarSiNumero(this, this.value);"
							value="#{consultaReportesPrediales.datosConsultaPredio.avaluoDesde}"/>
						</h:panelGroup>
						
						<h:panelGroup>
							<h:outputLabel value="Máxima: " styleClass="outputLabelStyle" />
						<h:inputText id="consultaPredioRangoAvaluoMax"
                                      onkeydown="validarSiNumero(this, this.value);"
						              onkeyup="validarSiNumero(this, this.value);"
							value="#{consultaReportesPrediales.datosConsultaPredio.avaluoHasta}"/>
						</h:panelGroup>
						</h:panelGrid>
					</h:panelGrid>
					</p:tab>
					
					<p:spacer width="0" height="40" />
					
					<p:tab title="Criterios económicos"
						id="tabCriteriosEconomicos"
						rendered="#{consultaReportesPrediales.tabs[3]}">
						
					<h:outputText value="Criterios económicos" styleClass="legendTitle"/>
					<p:separator />

					<h:panelGrid columns="8" id="tipoPredioAv">
						<h:outputLabel value="Tipo del predio: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2" >
							<p:selectManyMenu id="tipoPredioSOM" label="Tipo predio"
								value="#{consultaReportesPrediales.datosConsultaPredio.tipoPredioId}"
								filter="true" filterMatchMode="contains" showCheckbox="true" style="height:100px">
								<f:selectItems value="#{consultaReportesPrediales.tipoPredios}" var="predios" itemValue="#{predios}"/>
								<p:ajax listener="#{consultaReportesPrediales.buscarTipoPredios}"/>
								
							</p:selectManyMenu>
						</h:panelGrid>
 
    					<p:spacer width="20" height="0" />
						
						<h:outputLabel value="Destinación económica: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2">
							<p:selectManyMenu id="destinoPredioSOM" label="Destino económicos" style="height:100px"
								value="#{consultaReportesPrediales.datosConsultaPredio.destinoPredioId}">
								<f:selectItems value="#{general.predioDestinoCV}" />
								<p:ajax listener="#{consultaReportesPrediales.buscarDestinoPredios}"/>
							</p:selectManyMenu>
						</h:panelGrid>
						
						<p:spacer width="20" height="0" />
						
						<h:outputLabel value="Uso construcción: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2">
							<p:selectManyMenu id="usoConstruccionSOM" label="Uso construcción"
								value="#{consultaReportesPrediales.datosConsultaPredio.usoConstruccionId}" style="height:100px; width:100%; !important;">
								<f:selectItems value="#{general.unidadConstruccionCVOrderByValor}" />
								<p:ajax listener="#{consultaReportesPrediales.buscarUnidadConstruccionPredios}"/>
							</p:selectManyMenu>
						</h:panelGrid>
						
						<h:outputLabel value="Zona homógenea física: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2">
							<p:selectManyMenu id="zonaHomogeneaFisicaSOM" label="Zona homógenea física"
								value="#{consultaReportesPrediales.datosConsultaPredio.zonaFisicaId}"
								style="height:100px"
                                                                disabled="#{!consultaReportesPrediales.habilitaCampos}">
								<f:selectItems value="#{general.zonaFisica}" />
								<p:ajax listener="#{consultaReportesPrediales.buscarZonaFisicaPredios}"/>
							</p:selectManyMenu>
						</h:panelGrid>
						
						<p:spacer width="20" height="0" />
						
						<h:outputLabel value="Zona homógenea geoeconómica: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2">
							<p:selectManyMenu id="zonaHomogeneaGeoeconomicaSOM" label="Zona homógenea geo económica"
								value="#{consultaReportesPrediales.datosConsultaPredio.zonaEconomicaId}" style="height:100px"
                                                                disabled="#{!consultaReportesPrediales.habilitaCampos}">
								<f:selectItems value="#{general.zonaEconomica}" />
								<p:ajax listener="#{consultaReportesPrediales.buscarZonaEconomicaPredios}"/>
							</p:selectManyMenu>
						</h:panelGrid>
						
					</h:panelGrid>
					</p:tab>
					
					<p:spacer width="0" height="40" />
					
					<p:tab title="Justificación de propiedad"
						id="tabJustificacionDePropiedad"
						rendered="#{consultaReportesPrediales.tabs[4]}">
						
					<h:outputText value="Justificación de propiedad" styleClass="legendTitle"/>
					<p:separator />

					<h:panelGrid columns="8">
					
					<p:spacer width="20" height="0" />
					
					<h:outputLabel value="Tipo titulo: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2">
						<p:spacer width="40" height="0" />
							<p:selectManyMenu id="tipoTituloSOM"
								label="Destino de la construcción" style="height:100px"
								value="#{consultaReportesPrediales.datosConsultaPredio.tipoTitulo}">
								<f:selectItems
									value="#{general.tipoTitulo}" />
								<p:ajax listener="#{consultaReportesPrediales.buscarTipoTitulo}" immediate="true" process="@this"/>
							</p:selectManyMenu>
						</h:panelGrid>
					<p:spacer width="20" height="0" />	
					<h:outputLabel value="Modo de adquisición: "
							styleClass="outputLabelStyle" />
						<h:panelGrid columns="2">
						<p:spacer width="60" height="0" />
							<p:selectManyMenu id="modoAdquisicionPredioSOM"
								label="Modo de adquisición" style="height:100px"
								value="#{consultaReportesPrediales.datosConsultaPredio.modoAdquisicionId}">
								<f:selectItems value="#{general.derechoPropiedadModoAdqCV}"/>
								<p:ajax listener="#{consultaReportesPrediales.buscarModoAdquisionPredios}"/>
							</p:selectManyMenu>
						</h:panelGrid>	
					
					</h:panelGrid>
					</p:tab>
					
					<p:spacer width="20" height="30" />
					
					<p:tab title="Predios marcados"
						id="tabPrediosBloqueados"
						rendered="#{consultaReportesPrediales.tabs[5]}">
						
					<h:outputText value="Predios marcados" styleClass="legendTitle"/>
					<p:separator />

					<h:panelGrid columns="15">
					
					<p:spacer width="20" height="40" />
					
					<h:outputLabel value="Predio marcado" styleClass="outputLabelStyle"/>
					<h:selectOneMenu id="predioBloqueado"
						label="Predio bloqueado"
						value="#{consultaReportesPrediales.datosConsultaPredio.predioBloqueado}">
						<f:selectItems value="#{general.siNo}" />
					</h:selectOneMenu>
					
					<p:spacer width="20" height="0" />
					
					<h:panelGrid columns="2"> 
						<h:outputLabel value="Fecha inicio marcación:" styleClass="outputLabelStyle" />
					</h:panelGrid>
            
            		<h:panelGrid columns="2"> 
                		<p:calendar id="fechaInicioBloqueo" showOn="button" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaTituloWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha inicio marcación"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            readOnlyInputText="true"
                            value="#{consultaReportesPrediales.datosConsultaPredio.fechaInicioBloqueo}" />
               		 	<p:commandButton  icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaTituloWV.setDate(null)"/>
            		</h:panelGrid> 
            		
            		<p:spacer width="20" height="0" />
					
					<h:panelGrid columns="2"> 
						<h:outputLabel value="Fecha de desmarque:" styleClass="outputLabelStyle" />
					</h:panelGrid>
            
            		<h:panelGrid columns="2"> 
                		<p:calendar id="fechaDesbloqueo" showOn="button" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaTituloWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha de desmarque"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            readOnlyInputText="true"
                            value="#{consultaReportesPrediales.datosConsultaPredio.fechaDesbloqueo}" />
               		 	<p:commandButton  icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaTituloWV.setDate(null)"/>
            		</h:panelGrid>
            		<p:spacer width="20" height="0" />
            		
            		<h:outputLabel value="Entidad" styleClass="outputLabelStyle" />
					<h:selectOneMenu id="entidad"
						label="Entidad"
						value="#{consultaReportesPrediales.datosConsultaPredio.entidad}">
						<f:selectItems value="#{general.siNo}" />
					</h:selectOneMenu>
					
					<p:spacer width="20" height="0" />
					
					<h:outputLabel value="Tipo marcación:" styleClass="outputLabelStyle" disabled="#{consultaReportesPrediales.tabs[5]}"/>
					<h:selectOneMenu id="tipoBloqueo"
						label="Tipo marcación"
						value="#{consultaReportesPrediales.datosConsultaPredio.tipoBloqueo}">
						<f:selectItems value="#{general.tipoBloqueo}" />
					</h:selectOneMenu>
					
					<p:spacer width="20" height="0" />
					
					<h:panelGrid columns="2"> 
						<h:outputLabel value="Fecha envío:" styleClass="outputLabelStyle" />
					</h:panelGrid>
            
            		<h:panelGrid columns="2"> 
                		<p:calendar id="fechaEnvio" showOn="button" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaTituloWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha envio"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            readOnlyInputText="true"
                            value="#{consultaReportesPrediales.datosConsultaPredio.fechaEnvio}" />
               		 	<p:commandButton  icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaTituloWV.setDate(null)"/>
            		</h:panelGrid> 
            		
            		<p:spacer width="20" height="0" />
					
					<h:panelGrid columns="2"> 
						<h:outputLabel value="Fecha recibido:" styleClass="outputLabelStyle" />
					</h:panelGrid>
            
            		<h:panelGrid columns="2"> 
                		<p:calendar id="fechaRecibido" showOn="button" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaTituloWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha Recibido"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            readOnlyInputText="true"
                            value="#{consultaReportesPrediales.datosConsultaPredio.fechaRecibido}" />
               		 	<p:commandButton  icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaTituloWV.setDate(null)"/>
            		</h:panelGrid>

						<p:spacer width="20" height="0" />
            		<h:outputLabel value="Número radicación: "
							styleClass="outputLabelStyle"/>
						<h:inputText
							value="#{consultaReportesPrediales.datosConsultaPredio.numeroRadicacionBloqueo}"
							size="30" maxlength="30" id="numeroRadicacionBloqueo">
						<f:validateLength maximum="30"/>
						</h:inputText>
					
					</h:panelGrid>
					</p:tab>
					
					</p:tabView>	
					
				</p:panel>

                <p:spacer height="5" />
                
				<p:panel header="Resultado de la consulta">

						<p:dataTable id="reportesGeneradosTable" var="reporteGenerado"
							value="#{consultaReportesPrediales.reportesDeUsuario}"
							rowKey="#{reporteGenerado.id}"
							selection="#{consultaReportesPrediales.reportesSeleccionados}"
							rows="15"
							paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
							rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
							emptyMessage="No hay reportes generados por el momento">
							
							<p:ajax event="rowSelect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
								listener="#{consultaReportesPrediales.manejarActivacionDeBotones}"
								update=":consultaPredioForm" />
								
							<p:ajax event="rowUnselect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                                listener="#{consultaReportesPrediales.manejarDesactivacionDeBotones}" 
                                                update=":consultaPredioForm"/>	

							<p:column selectionMode="Multiple">

							</p:column>

							<p:column headerText="Código reporte">
								<h:outputText id="idReporte" value="#{reporteGenerado.codigoReporte}"/>
							</p:column>

							<p:column headerText="Tipo reporte">
								<h:outputText id="tipoReporte"
									value="#{reporteGenerado.repReporte.nombre}"/>
							</p:column>

							<p:column headerText="Territorial">
								<h:outputText id="territorialReporte"
									value="#{reporteGenerado.territorial.nombre}" />
							</p:column>

							<p:column headerText="UOC">
								<h:outputText id="uOCReporte"
									value="#{reporteGenerado.UOC.nombre}" />
							</p:column>

							<p:column headerText="Departamento"
								sortBy="#{tramiteResolucionAVisualizar.departamentoReporte}">
								<h:outputText id="departamentoReporte"
									value="#{reporteGenerado.departamentoNombre}" />
							</p:column>

							<p:column headerText="Municipio"
								sortBy="#{tramiteResolucionAVisualizar.municipioReporte}">
								<h:outputText id="municipioReporte"
									value="#{reporteGenerado.municipioNombre}"/>
							</p:column>

							<p:column headerText="Fecha generación"
								sortBy="#{tramiteResolucionAVisualizar.formatoFechaUsuario2}">
								<h:outputText id="fechaInicioReporte"
									value="#{reporteGenerado.fechaInicio}">
								<f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
									type="date" />
							</h:outputText>	
							</p:column>

						<p:column headerText="Estado">
								<h:outputText id="estadoReporte"
									value="#{reporteGenerado.estado}" />
							</p:column>
							
							<p:column headerText="Tamaño">
								<h:outputText id="tamañoReporte"
									value="#{reporteGenerado.valorTamano} - #{reporteGenerado.unidadTamano}" 
									rendered="#{reporteGenerado.estado eq 'FINALIZADO'}"/>
							</p:column>

							<p:column headerText="Opciones">
							
								<p:commandButton title="Ver reporte"
									icon="ui-icon-search"
									update=":previsualizadorReporteForm" 
									styleClass="commandLinkStyleInTable"
									onstart="statusDialog2.show()"
									oncomplete="previsualizadorReporteWV.show();statusDialog2.hide()"
									action="#{consultaReportesPrediales.cargarPrevisualizacionReporte}"
									rendered="#{reporteGenerado.estado == 'FINALIZADO' and reporteGenerado.formato == 'PDF'}">
									<f:setPropertyActionListener
										target="#{consultaReportesPrediales.reporteVisualizacionSeleccionado}"
										value="#{reporteGenerado}" />
								</p:commandButton>
							
							<p:commandButton title="Asociar reporte"
									icon="ui-icon-pin-w"
									update=":consultaPredioForm" 
									styleClass="commandLinkStyleInTable"
									onstart="statusDialog2.show()"
									oncomplete="statusDialog2.hide()"
									action="#{consultaReportesPrediales.asociarReporteAUsuario}"
									rendered="#{reporteGenerado.estado == 'EN PROCESO' and consultaReportesPrediales.habilitaAsociarReporteUsuario}">
								</p:commandButton>
							
							</p:column>

						</p:dataTable>
				</p:panel>
				
				<p:spacer width="1550" height="50" />
				
				<p:outputPanel layout="block" style="text-align:right" id = "botonesResultadoConsulta">
				
				<p:commandButton value="Exportar" icon="ui-icon-arrowthickstop-1-s" 
								rendered="#{consultaReportesPrediales.banderaExportarReporte}"
								title="Exportar reportes seleccionados" id="exportarReportesBtn"
								onstart="statusDialog2.show();"
								oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status,args, confirmacionExportacionWV, true);"
								update=":previsualizadorExportacionForm,consultaPredioForm,consultaPredioFormCCMsgs"
								process="@form">
				</p:commandButton>
				
				<p:spacer width="30" height="0" />
				
				
				<p:commandButton value="Actualizar" icon="ui-icon-refresh"
					rendered="#{consultaReportesPrediales.banderaRefrescar}"
                                        update=":consultaPredioForm, reportesGeneradosTable,:consultaPredioForm:exportarReportesBtn"
					action="#{consultaReportesPrediales.refrescarReporte}"
					position="left">
				</p:commandButton>
				
				<p:spacer width="30" height="0" />

				<p:commandButton value="Cerrar" icon="ui-icon-close" action="#{tareasPendientes.cerrar}" 
										ajax="false" immediate="true" position="left">
                </p:commandButton>
                </p:outputPanel>

			</h:form>
			<!-- </p:tabView> -->
		</div>

		<misc:visualizadorMemorandosCC id="viewReport"
			thisWVName="visorReporteWV" nombreDialogo="Reporte predial"
			urlDocumento="#{consultaReportesPrediales.reportePredialDTO.urlWebReporte}"
			fileContent="#{consultaReportesPrediales.reportePredialDTO.streamedContentReporte}"
			documentoGenerado="#{consultaReportesPrediales.reportePredialDTO ne null}"
			radicarButtonVisible="false" cancelButtonVisible="false"
			componentsToUpdateOnClose=":consultaPredioForm"/>
			
		<p:dialog header="Previsualización del reporte" dynamic="true" widgetVar="previsualizadorReporteWV"
			modal="true" appendToBody="true" resizable="true" position="center"
			width="850">
			<h:form id="previsualizadorReporteForm" prependId="false">
				
				<h:panelGrid columns="1" width="100%" id="reportePanel">
					<p:fieldset>
						<h:panelGrid columns="1" width="100%">

							<h:panelGrid columns="1">
								<embed src="#{consultaReportesPrediales.rutaPrevisualizacionReporte}" width="600"
									height="400" />
							</h:panelGrid>
							<p:outputPanel layout="block" style="text-align:right">

								<p:commandButton value="Cerrar" title="Cierra esta ventana"
									oncomplete="previsualizadorReporteWV.hide()"
									icon="ui-icon-close" />

							</p:outputPanel>
						</h:panelGrid>
					</p:fieldset>
				</h:panelGrid>
			</h:form>
		 </p:dialog>
		
		<p:confirmDialog appendToBody="true"
			message="¿Desea descargar el archivo de exportación con los reportes?"
			width="400" header="Confirmación"
			widgetVar="confirmacionExportacionWV">
			<h:form id="previsualizadorExportacionForm" >
				<p:outputPanel layout="block" style="text-align:center">

					<p:commandButton value="Sí"
						id="descargarReportesBtn"
						onclick="confirmacionExportacionWV.hide()" icon="ui-icon-check"
						process="@this" ajax="false">
						<p:fileDownload value="#{consultaReportesPrediales.archivosADescargar}" />
					</p:commandButton>
					<p:commandButton value="No" icon="ui-icon-close"
						onclick="confirmacionExportacionWV.hide()" type="button" />
				</p:outputPanel>
			</h:form>
		</p:confirmDialog>
		
		<p:confirmDialog appendToBody="true"
			message="¿Este  reporte  ya existe, desea volverlo a generar?"
			width="400" header="Confirmación"
			widgetVar="confirmacionGeneracionWV" >
			<h:form>
				<p:outputPanel layout="block" style="text-align:center">
					<p:commandButton value="Sí"
						id="descargarReportesBtn" action="#{consultaReportesPrediales.generarReporte}"
						oncomplete="confirmacionGeneracionWV.hide()" icon="ui-icon-check"
						process="@this" ajax="false">
					</p:commandButton>
					<p:commandButton value="No" icon="ui-icon-close"
						onclick="confirmacionGeneracionWV.hide()" type="button" />
				</p:outputPanel>
			</h:form>
		</p:confirmDialog>	
			
	</ui:define>
	
</ui:composition>